<?php
/**
 * Display Header.
 *
 * @package Food Restaurant
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width">
    <link rel="profile" href="<?php echo esc_url( __( 'http://gmpg.org/xfn/11', 'food-restaurant' ) ); ?>">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div class="header">
    <div class="toggle"><a class="toggleMenu" href="#"><?php esc_html_e('Menu','food-restaurant'); ?></a></div>  
    <div class="container">
        <div class="row">
            <div class="col-lg-3 col-md-3 p-0">
                <div class="logo">
                <?php if( has_custom_logo() ){ food_restaurant_the_custom_logo();
                 }else{ ?>
                <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                <?php $description = get_bloginfo( 'description', 'display' );
                if ( $description || is_customize_preview() ) : ?> 
                    <p class="site-description"><?php echo esc_html($description); ?></p> 
                <?php endif; }?>
                </div>
            </div>
            <div class="col-lg-9 col-md-9 p-0">
                <div class="menubox">
                    <div class="nav">
                        <?php wp_nav_menu( array('theme_location'  => 'primary') ); ?>
                    </div>
                </div>
            </div>
            <div class="clear"></div>
        </div>
    </div>
</div>